List Channels
curl --request GET \
--url https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/realtime/channels \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/realtime/channels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/realtime/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"environment": "<string>",
"status": "ready",
"region": "global",
"retentionSeconds": 43200,
"presenceEnabled": true,
"maxConnections": 5000,
"maxMessagesPerSecond": 1250,
"deliveryGuarantee": "at-most-once-live",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]realtime
List Channels
List realtime channels in one project environment.
GET
/
v1
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
realtime
/
channels
List Channels
Authorizations
apiKeysession
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
The project's id (UUID) or slug — either form is accepted.
Query Parameters
Environment slug to scope this operation to. Defaults to "production". An environment that does not exist on the project answers 404. Channels are isolated to the addressed environment.
Pattern:
^[a-z][a-z0-9-]{0,38}$Response
Channels ordered by name.
Pattern:
^[a-z][a-z0-9-]{1,61}$Available options:
ready, paused, failed Realtime channels are globally routed. The platform does not promise a storage jurisdiction.
Available options:
global Required range:
0 <= x <= 86400Required range:
1 <= x <= 10000Required range:
1 <= x <= 2500Available options:
at-most-once-live